<template lang="html">
	<div class="container">
		<div class="row text-center">
			<div>¿Desea eliminar Trayecto?</div>
		</div>
		<div>
			<div>ID = {{this.element.id_trayecto}}</div>
			<div>Origen - Destino = {{this.element.origen}} - {{this.element.destino}} </div>
		</div>
		<div>
			<button class="btn btn-warning" type="submit" v-on:click="eliminarTrayecto">Eliminar</button>
			<button class="btn btn-danger" v-on:click="volver">Volver</button>
		</div>
	</div>
</template>

<script>

import axios from 'axios';

	export default {
		data() {
			return{
				id_trayecto : this.$route.params.id_trayecto,
				element : {
			        id_trayecto : '',
			        origen : '',
			        destino : '',
			    	}
			    }
		},
		methods: {	
				getTrayecto(){
					const path = `http://localhost:8000/trayecto/trayecto/${this.id_trayecto}/`
					axios.get(path).then((response) => {
						this.element.id_trayecto = response.data.id_trayecto					
						this.element.origen = response.data.origen
						this.element.destino = response.data.destino							
					})
					.catch((error) => {console.log(error)})
				},
				volver(){
					location.href = '/trayecto'			
				},
				eliminarTrayecto(){
					const path = `http://localhost:8000/trayecto/trayecto/${this.id_trayecto}/`
					axios.delete(path).then((response) => {
						location.href = '/trayecto'
						})
						.catch((error) => {console.log(error); alert("No se pudo eliminar el trayecto");})
				},			
			},
			created(){
				this.getTrayecto()
			}
	}
</script>

<style lang="css" scoped>
</style>